Agent Governance Protocol
API ReferenceRegistry APIPolicy Sets

Update policy set status

Transition a PolicySet to deprecated or revoked. A revoked PolicySet cannot be referenced in new PolicyDecisions. Active→deprecated→revoked only; transitions cannot be reversed.

PATCH
/agp/policy-sets/{policySetId}

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.registry.read, agp.registry.write

Path Parameters

policySetId*string

Header Parameters

Idempotency-Key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/agp/policy-sets/string" \  -H "Content-Type: application/json" \  -d '{    "status": "deprecated"  }'
{  "type": "PolicySet",  "policy_set_id": "string",  "name": "string",  "version": "string",  "publisher": "string",  "regulatory_frameworks": [    "EU_AI_ACT_2024"  ],  "jurisdictions": [    "string"  ],  "ruleset_hash": "string",  "ruleset_engine": "opa",  "ruleset_engine_version": "string",  "ruleset_uri": "http://example.com",  "attestation_level": "unverified",  "certifying_body": "string",  "status": "active",  "effective_from": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "supersedes": "string",  "created_at": "2019-08-24T14:15:22Z",  "signature": {    "alg": "string",    "kid": "string",    "issuer": "string",    "issued_at": "2019-08-24T14:15:22Z",    "payload_hash": "string",    "value": "string"  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}